Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
ai_optimization
/
llm_mentions
/
search
/
live
Live LLM Mentions
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/search/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": [
    "<string>"
  ],
  "domain": "<string>",
  "keyword": "<string>",
  "domain_entity": {},
  "search_filter": "<string>",
  "search_scope": [
    "<string>"
  ],
  "include_subdomains": true,
  "keyword_entity": {},
  "match_type": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "platform": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "offset": 123,
  "search_after_token": "<string>",
  "limit": 123,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.total_count": 123,
  "tasks.result.current_offset": 123,
  "tasks.result.search_after_token": "<string>",
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.platform": "<string>",
  "tasks.result.items.model_name": "<string>",
  "tasks.result.items.location_code": 123,
  "tasks.result.items.language_code": "<string>",
  "tasks.result.items.question": "<string>",
  "tasks.result.items.answer": "<string>",
  "tasks.result.items.sources": [
    "<string>"
  ],
  "tasks.result.items.sources.snippet": "<string>",
  "tasks.result.items.sources.source_name": "<string>",
  "tasks.result.items.sources.thumbnail": "<string>",
  "tasks.result.items.sources.markdown": "<string>",
  "tasks.result.items.sources.position": 123,
  "tasks.result.items.sources.title": "<string>",
  "tasks.result.items.sources.domain": "<string>",
  "tasks.result.items.sources.url": "<string>",
  "tasks.result.items.sources.publication_date": "<string>",
  "tasks.result.items.search_results": [
    "<string>"
  ],
  "tasks.result.items.search_results.description": "<string>",
  "tasks.result.items.search_results.breadcrumb": "<string>",
  "tasks.result.items.search_results.position": 123,
  "tasks.result.items.search_results.title": "<string>",
  "tasks.result.items.search_results.domain": "<string>",
  "tasks.result.items.search_results.url": "<string>",
  "tasks.result.items.search_results.publication_date": "<string>",
  "tasks.result.items.ai_search_volume": 123,
  "tasks.result.items.monthly_searches": [
    "<string>"
  ],
  "tasks.result.items.monthly_searches.year": 123,
  "tasks.result.items.monthly_searches.month": 123,
  "tasks.result.items.monthly_searches.search_volume": 123,
  "tasks.result.items.first_response_at": "<string>",
  "tasks.result.items.last_response_at": "<string>",
  "tasks.result.items.brand_entities": [
    "<string>"
  ],
  "tasks.result.items.brand_entities.position": 123,
  "tasks.result.items.brand_entities.title": "<string>",
  "tasks.result.items.brand_entities.category": "<string>",
  "tasks.result.items.fan_out_queries": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string[]
required

array of objects containing target entities required field you can specify up to 10 entities (objects) in the target field one target entity can contain either one domain or one keyword and related parametersexamples: target array with a domain entity [{"domain": "en.wikipedia.org", "search_filter": "exclude"}] target array with a keyword entity [{"keyword": "bmw", "search_scope": ["question"], "match_type ": "partial_match"}] target array with multiple entities [{"domain": "en.wikipedia.org", "search_filter": "exclude"}, {"keyword": "bmw", "match_type ": "partial_match", "search_scope": ["answer"]}]

domain
string
required

target domain required field if you don't specify keyword you can specify up to 63 characters in the domain field; a domain should be specified without https:// and www.

keyword
string
required

target keyword required field if you don't specify domain you can specify up to 250 characters in the keyword field all %## will be decoded (plus character ‘+’ will be decoded to a space character) if you need to use the “%” character for your keyword, please specify it as “%25”; if you need to use the “+” character for your keyword, please specify it as “%2B”learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

domain_entity
object

domain entity in the target array example: {"domain": "en.wikipedia.org", "search_filter": "exclude", "search_scope": ["sources"]}

search_filter
string

target keyword search filter optional field possible values: include, exclude default value: include

search_scope
string[]

target keyword search scope optional field possible values: any, question, answer, brand_entities, fan_out_queries default value: any

include_subdomains
boolean

indicates if the subdomains of the target domain will be included in the search optional field if set to true, the subdomains will be included in the search default value: false

keyword_entity
object

keyword entity in the target array example: {"keyword": "bmw", "search_filter": "include", "search_scope": ["question"], "match_type ": "partial_match"}

match_type
string

target keyword match type defines how the specified keyword is matched optional field possible values: word_match - full-text search for terms that match the specified seed keyword with additional words included before, after, or within the key phrase (e.g., search for "light" will return results with "light bulb", "light switch"); partial_match - substring search that finds all instances containing the specified sequence of characters, even if it appears inside a longer word (e.g., search for "light" will return results with "lighting", "highlight"); default value: word_match

location_name
string

full name of search location optional field if you use this field, you don't need to specify location_code if you don't specify this field, the location_code with 2840 value will be used by default; you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for United States only

location_code
integer

search location code optional field if you use this field, you don't need to specify location_name you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: 2840 Note: chat_gpt data is available for 2840 only

language_name
string

full name of search language optional field if you use this field, you don't need to specify language_code; if you don't specify this field, the language_code with en value will be used by default; you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for English only

language_code
string

search language code optional field if you use this field, you don't need to specify language_name; you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: en Note: chat_gpt data is available for en onlyn

platform
string

target platform optional field possible values: chat_gpt, google default value: google Note: the data returned depends on the selected platform Note #2:chat_gpt data is available for the United States and English only

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["ai_search_volume",">","1000"]The full list of possible filters is available here.

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc - results will be sorted in the ascending order desc - results will be sorted in the descending order you should use a comma to set up a sorting type example: ["ai_search_volume,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules

offset
integer

offset in the results array of the returned mentions data optional fielddefault value: 0 example: if you specify the 10 value, the first ten mentions objects in the results array will be omitted and the data will be provided for the successive objects; Note: the maximum value is 9,000, use the search_after_token if you would like to offset more results

search_after_token
string

token for subsequent requests optional field provided in the identical filed of the response to each request; use this parameter to avoid timeouts while trying to obtain over 20,000 results in a single request; by specifying the unique search_after_token value from the response array, you will get the subsequent results of the initial task; search_after_token values are unique for each subsequent task ; Note: if the search_after_token is specified in the request, all other parameters should be identical to the previous request

limit
integer

the maximum number of returned objects optional fielddefault value: 100 maximum value: 1000

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.total_count
integer

total amount of results relevant the request

tasks.result.current_offset
integer

the number of mentions objects that are omitted in the items array

tasks.result.search_after_token
string

token for subsequent requests by specifying the unique search_after_token when setting a new task, you will get the subsequent results of the initial task; search_after_token values are unique for each subsequent task

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains relevant mentions data

tasks.result.items.platform
string

platform received in a POST array

tasks.result.items.model_name
string

name of the AI model from which the data was retrieved Note: for the google platform type, the value is always google_ai_overview

tasks.result.items.location_code
integer

location code in a POST array

tasks.result.items.language_code
string

language code in a POST array

tasks.result.items.question
string

relevant question

tasks.result.items.answer
string

relevant answer in markdown format content of the result formatted in the markdown markup language

tasks.result.items.sources
string[]

array of sources the sources the model cited or relied on in its final answer

tasks.result.items.sources.snippet
string

source description

tasks.result.items.sources.source_name
string

source name

tasks.result.items.sources.thumbnail
string

source thumbnail

tasks.result.items.sources.markdown
string

content of the element in markdown format content of the result formatted in the markdown markup language

tasks.result.items.sources.position
integer

position in the results

tasks.result.items.sources.title
string

source title

tasks.result.items.sources.domain
string

source domain

tasks.result.items.sources.url
string

source URL

tasks.result.items.sources.publication_date
string

date and time when the result was published in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.search_results
string[]

array of search results all web search outputs the model retrieved when looking up information, including duplicates and unused entries

tasks.result.items.search_results.description
string

result description

tasks.result.items.search_results.breadcrumb
string

breadcrumb

tasks.result.items.search_results.position
integer

position in the results

tasks.result.items.search_results.title
string

result title

tasks.result.items.search_results.domain
string

result domain

tasks.result.items.search_results.url
string

result URL

tasks.result.items.search_results.publication_date
string

date and time when the result was published in the format: “year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes” example: 2019-11-15 12:57:46 +00:00

tasks.result.items.ai_search_volume
integer

current AI search volume rate of a keyword learn more about this metric here

tasks.result.items.monthly_searches
string[]

monthly AI search volume rates array of objects with AI search volume rates in a certain month of a year

tasks.result.items.monthly_searches.year
integer

year

tasks.result.items.monthly_searches.month
integer

month

tasks.result.items.monthly_searches.search_volume
integer

AI search volume rate in a certain month of a year learn more about this metric here

tasks.result.items.first_response_at
string

date and time when the response data was first recorded in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2025-10-21 06:25:30 +00:00

tasks.result.items.last_response_at
string

date and time when the response data was last updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2025-10-21 06:25:30 +00:00

tasks.result.items.brand_entities
string[]

array of brand entities contains information on brands mentioned in the response

tasks.result.items.brand_entities.position
integer

position in the results

tasks.result.items.brand_entities.title
string

name of the brand

tasks.result.items.brand_entities.category
string

category of the brand

tasks.result.items.fan_out_queries
string[]

array of fan-out queries contains related search queries derived from the main query to provide a more comprehensive response